MailboxesList all mailboxes

List all mailboxes

curl -X GET "https://api.supasend.io/v1/mailboxes" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY"
[
  {
    "id": "example_string",
    "type": "smtp",
    "email": "user@example.com",
    "display_name": "John Doe",
    "status": "active",
    "max_daily_sends": 500,
    "imap_host": "example_string",
    "imap_port": 42,
    "imap_username": "John Doe",
    "inbox_sync_enabled": true,
    "inbox_sync_from": "2024-12-25T10:00:00Z",
    "inbox_last_sync_at": "2024-12-25T10:00:00Z",
    "inbox_last_error": "example_string",
    "created_at": "2024-12-25T10:00:00Z",
    "updated_at": "2024-12-25T10:00:00Z"
  }
]
GET
/v1/mailboxes
GET
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key in the format sk_live_<64 hex characters>

API key in the format sk_live_<64 hex characters>
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. API key in the format sk_live_\<64 hex characters\>

Responses

idstring
typestring
Allowed values:smtpgoogleoutlook
emailstring
display_namestring
statusstring
Allowed values:activeerrordisconnected
max_daily_sendsinteger
imap_hoststring

SMTP mailboxes only

imap_portinteger
imap_usernamestring
inbox_sync_enabledboolean
inbox_sync_fromstring

Only mail received after this time is pulled

inbox_last_sync_atstring
inbox_last_errorstring

Last sync failure, empty when healthy

created_atstring
updated_atstring